/*
 * text_segment.h
 *
 * Copyright 2023 Jonathan Schöbel <jonathan@xn--schbel-yxa.info>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#ifndef SEFHT_TEXT_SEGMENT_H
#define SEFHT_TEXT_SEGMENT_H

#if !defined (SEFHT_SEFHT_H_INSIDE) && !defined (SEFHT_COMPILATION)
#error "Only <sefht/sefht.h> can be included directly."
#endif

#ifndef CHUNK_SIZE
#define CHUNK_SIZE 64
#endif /* CHUNK_SIZE */


struct text_segment;
struct text_segment
{
	size_t length;
	size_t size;
	char * text;

	/*@null@*/ struct text_mark * mark;

	/*@relnull@*/ struct text_segment * next;
};

#endif /* SEFHT_TEXT_SEGMENT_H */
