/*
 * text_segment_mark.c
 *
 * Copyright 2023 Jonathan Schöbel <jonathan@xn--schbel-yxa.info>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <stdlib.h>

#include "status.h"

#include "text_mark_static.c"


static inline
void
init_marks (/*@special@*/ struct text_segment * segment)
	/*@defines segment->mark@*/
{
	segment->mark = NULL;
	return;
}

static inline
void
free_marks (/*@special@*/ /*@null@*/ struct text_segment * segment)
	/*@modifies segment->mark@*/
	/*@releases segment->mark@*/
{
	while (segment->mark != NULL)
	{
		segment->mark = text_mark_free (segment->mark);
	}

	return;
}
