/*
 * validator_attr.h
 *
 * Copyright 2023 Jonathan Schöbel <jonathan@xn--schbel-yxa.info>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#ifndef SEFHT_VALIDATOR_ATTR_H
#define SEFHT_VALIDATOR_ATTR_H

#if !defined (SEFHT_VALIDATOR_H)
#error "Please include only <sefht/validator.h>."
#endif

#include <stdbool.h>
#include <stdint.h>

#include "status.h"


bool
SH_Validator_register_attr (SH_Validator * validator,
                            const char * tag,
                            const char * attr,
                            /*@null@*/ /*@out@*/
                            struct SH_Status * status)
	/*@modifies validator@*/
	/*@globals fileSystem@*/
	/*@modifies fileSystem@*/
	/*@modifies status@*/;

bool
SH_Validator_deregister_attr (SH_Validator * validator,
                              /*@null@*/ const char * tag,
                              /*@null@*/ const char * attr,
                              /*@null@*/ /*@out@*/
                              struct SH_Status * status)
	/*@modifies validator@*/
	/*@globals fileSystem@*/
	/*@modifies fileSystem@*/
	/*@modifies status@*/;

bool
SH_Validator_check_attr (const SH_Validator * validator,
                         /*@null@*/ const char * tag,
                         const char * attr)
	/*@*/;

#endif /* SEFHT_VALIDATOR_ATTR_H */
